## libusbx 1.0.11

=== debian/changelog ===
libusbx (2:1.0.11-1) unstable; urgency=low

  * Switch to libusbx, a fork of libusb, as most distributions are doing.
    It is API and ABI compatible, at least for now.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 16:53:33 +0200

libusb-1.0 (2:1.0.9-1) unstable; urgency=low

  * New upstream version (closes: #669590):
    - Work with CONFIG_TIMERFD is disabled in the kernel (closes: #627018).
  * Update symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 24 Apr 2012 07:58:26 +0200

libusb-1.0 (2:1.0.9~rc3-4) unstable; urgency=low

  * Fix hardening build flags for udebs (closes: #665309). 
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 03 Apr 2012 23:45:26 +0200

libusb-1.0 (2:1.0.9~rc3-3) unstable; urgency=low

  * Add symbols file.
  * Enable hardened build flags.
  * Remove the /usr/lib/libusb-1.0.so.0 -> /lib/libusb-1.0.so.0 symlink
    as the dpkg-dev bug has been fixed.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Dec 2011 17:56:10 +0100

libusb-1.0 (2:1.0.9~rc3-2) unstable; urgency=low

  * Fix .so link. 

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Dec 2011 19:27:03 +0100

libusb-1.0 (2:1.0.9~rc3-1) unstable; urgency=low

  * New upstream release candidate (closes: #650823, #651294).
    - Added a function to convert error codes into strings (closes:
      #504781).
    - Drop patches/01-configure-bashisms.diff (merged upstream).
    - Drop patches/02-pedantic.diff (merged upstream).
    - Drop patches/03-private-libs.diff (merged upstream).
    - Drop patches/04-linux-3.0.diff (merged upstream).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Dec 2011 19:02:43 +0100

libusb-1.0 (2:1.0.8-6) unstable; urgency=high

  * Set urgency to high, as it affects the version in wheezy.
  * Add patches/04-linux-3.0.diff from upstream to fix bulk continuation
    support detection with 3.x kernels.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 16 Oct 2011 20:49:38 +0200

libusb-1.0 (2:1.0.8-5) unstable; urgency=low

  * Add patches/03-private-libs.diff from upstream to fix static linking.
    (closes: bug#638326).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 18 Aug 2011 19:22:47 +0200

libusb-1.0 (2:1.0.8-4) unstable; urgency=low

  * Add patches/02-pedantic.diff from upstream to fix compilation with
    -pedantic flag (closes: #633805).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 19 Jul 2011 10:59:19 +0200

libusb-1.0 (2:1.0.8-3) unstable; urgency=low

  * Upgraded policy compliance to 3.9.2 (no changes).
  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libusb-1.0-0 and set it
      Multi-Arch: same.
    - Install the library in the multiarch path.
   * Dropped .la files from -dev packages are they are not used by any
     depending package.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 20 Jun 2011 21:11:14 +0200

libusb-1.0 (2:1.0.8-2) unstable; urgency=low

  * Add 01-configure-bashisms.diff to fix bashisms (closes: bug#582992).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 25 May 2010 07:35:56 +0000

libusb-1.0 (2:1.0.8-1) unstable; urgency=low

  * New upstream version.
  * Upgraded policy compliance to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 07 May 2010 19:38:57 +0200

libusb-1.0 (2:1.0.6-1) unstable; urgency=low

  * New upstream version.
  * Use 3.0 (quilt) format.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Nov 2009 22:31:08 +0100

libusb-1.0 (2:1.0.3-2) unstable; urgency=low

  * Downgrade priority to optional to make deborphan happy (closes:
    bug#549641).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 01 Nov 2009 21:08:33 +0100

libusb-1.0 (2:1.0.3-1) unstable; urgency=low

  * New upstream version (closes: bug#549466).
  * Upgraded policy compliance to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 03 Oct 2009 18:02:54 +0200

libusb-1.0 (2:1.0.2-1) unstable; urgency=low

  * New upstream version.
  * Upgraded policy compliance to 3.8.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 07 Aug 2009 10:41:31 +0200

libusb-1.0 (2:1.0.1-1) unstable; urgency=low

  * New upstream version.
  * Upgraded policy compliance to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 13 May 2009 15:38:44 +0000

libusb-1.0 (2:1.0.0-1) unstable; urgency=low

  * New upstream final version (closes: bug#509082). 

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 20 Dec 2008 11:25:06 +0100

libusb-1.0 (2:0.9.4-1) unstable; urgency=low

  * New upstream beta version:
    - 00_doxygen.diff: merged upstream.
    - 50_autoreconf.diff: drop.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 27 Nov 2008 11:29:00 +0100

libusb-1.0 (2:0.9.3-2) unstable; urgency=low

  * debian/rules: fix cross build support.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 05 Sep 2008 12:49:20 +0200

libusb-1.0 (2:0.9.3-1) unstable; urgency=low

  * New upstream beta version, incompatible with libusb 0.1:
    - Rename packages to libusb-1.0-0 and libusb-1.0-0-dev.
    - Use quilt for the patch management system.
    - 00_doxygen.diff: allow out-of-tree build of the documentation.
    - 50_autoreconf.diff: regenerate auto* files.
    - Add a README.source file.
    - Update debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Aug 2008 01:28:29 +0200

libusb (2:0.1.12-12) unstable; urgency=low

  * Fix infinite loop when device are unplugged during a transfer (closes:
    bug#485778). 
  * Upgraded policy compliance to 3.8.0 (no changes).
  * Don't build documentation in the udeb target. 

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 12 Jun 2008 00:15:30 +0200

libusb (2:0.1.12-11) unstable; urgency=low

  * Add a build-depends on docbook (closes: bug#479572). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 05 May 2008 17:02:01 +0200

libusb (2:0.1.12-10) unstable; urgency=low

  * Use const for buffers in write functions (closes: bug#473814).


