## libusbx 1.0.12

=== debian/changelog ===
libusbx (2:1.0.12-2ubuntu1) raring; urgency=low

  * Remove stray backslash that broke cross-building.
  * Name the object directory after the host triplet, not the build triplet,
    to avoid gratuitous confusion.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Dec 2012 00:57:26 +0000

libusbx (2:1.0.12-2) unstable; urgency=low

  * 01-log_level.diff: new patch from upstream to prefix LOG_LEVEL_* 
    enum values with LIBUSB_ (closes: #680865). 

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 09 Jul 2012 07:45:56 +0200

libusbx (2:1.0.12-1) unstable; urgency=low

  * New upstream release.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 30 Jun 2012 01:14:07 +0200
