=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libusbx
 Section: libs
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
 Build-Depends: debhelper (>= 8.1.3), autotools-dev, pkg-config, doxygen
 Standards-Version: 3.9.3
