=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 LDFLAGS_UDEB		= $(LDFLAGS)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
+CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 else
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
@@ -41,7 +41,7 @@
 	INSTALL_PROGRAM += -s
 endif
 
-objdir = $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
+objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)
 objdir_udeb = $(objdir)-udeb
 
 configure: configure-deb-stamp configure-udeb-stamp
