## libusbx 1.0.16

=== debian/changelog ===
libusbx (2:1.0.16-3~cloud2) precise-havana; urgency=low

  * No change rebuild to enable new architectures.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Oct 2013 17:47:59 +0100

libusbx (2:1.0.16-3~cloud1) saucy-havana; urgency=low

  * Fix FTBFS for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Sep 2013 10:39:11 -0400

libusbx (2:1.0.16-3~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 20 Aug 2013 09:01:53 -0400

libusbx (2:1.0.16-3) unstable; urgency=medium

  * Add 0000-linux-Use-a-separate-lock-to-serialize-start-stop-vs.patch
    from ipstream to really fix the dead lock with upower
    (closes: #717988).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 31 Jul 2013 20:46:44 +0200

libusbx (2:1.0.16-2) unstable; urgency=medium

  * Add patches from upstream to fix a dead lock (closes: #717988):
    - 0001-hotplug-Remove-use-of-pthread_cancel-from-linux_udev.patch
    - 0002-linux_netlink-close-netlink-socket-on-init-error.patch
    - 0003-linux_netlink-Remove-use-of-pthread_cancel.patch
  * Set urgency to medium as it fixes a nasty bug.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 30 Jul 2013 19:00:23 +0200

libusbx (2:1.0.16-1) unstable; urgency=low

  * New upstream version, last one from the libusbx, the next one will
    be called libusb again.
    - Build depends on libudev-dev.
    - Update symbol files.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Move documentation to a -doc package.
  * Set the -dev package as Multiarch: same.
  * Support parallel building.
  * Compress the .deb files with xz.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 12 Jul 2013 19:49:06 +0200

libusbx (2:1.0.15-1) unstable; urgency=low

  * New upstream version.
  * Fix cross-build (closes: #694912, #705658).
  * Add a -dbg package.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 06 May 2013 17:31:43 +0200
