## libusbx 1.0.17

=== debian/changelog ===
libusbx (2:1.0.17-1ubuntu2) trusty; urgency=low

  * debian/rules: use dh-autoreconf to update libtool bits for new ports.
  * debian/control: move doxygen to Build-Depends-Indep where it belongs.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 11 Dec 2013 05:38:30 -0700

libusbx (2:1.0.17-1ubuntu1) trusty; urgency=low

  * d/control: Move doxygen to Build-Depends to avoid FTBFS on older
    versions of Ubuntu (LP: #1217397). 

 -- James Page <james.page@ubuntu.com>  Mon, 09 Dec 2013 09:39:09 +0000

libusbx (2:1.0.17-1) unstable; urgency=low

  * New upstream version.
    - Drop 0000-linux-Use-a-separate-lock-to-serialize-start-stop-vs.patch
    - Drop 0001-hotplug-Remove-use-of-pthread_cancel-from-linux_udev.patch
    - Drop 0002-linux_netlink-close-netlink-socket-on-init-error.patch
    - Drop 0003-linux_netlink-Remove-use-of-pthread_cancel.patch

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 08 Sep 2013 23:02:48 +0200
