=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: libusbx
 Section: libs
 Priority: optional
-Maintainer: Aurelien Jarno <aurel32@debian.org>
-Build-Depends: debhelper (>= 8.1.3), libudev-dev [linux-any], autotools-dev, pkg-config, doxygen
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurelien Jarno <aurel32@debian.org>
+Build-Depends: debhelper (>= 8.1.3), libudev-dev [linux-any], autotools-dev, pkg-config, dh-autoreconf
+Build-Depends-Indep: doxygen
 Standards-Version: 3.9.4
 
 Package: libusb-1.0-0
