=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# support parallel build using DEB_BUILD_OPTIONS=parallel=N
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
@@ -56,6 +61,9 @@
 	# update config.guess and config.sub
 	cp -f /usr/share/misc/config.sub $(CURDIR)/config.sub
 	cp -f /usr/share/misc/config.guess $(CURDIR)/config.guess
+
+	# regenerate configure
+	dh_autoreconf
 
 	# make configure executable
 	chmod +x $(CURDIR)/configure
@@ -104,10 +112,7 @@
 	dh_testdir
 
 	cd $(objdir) && \
-		$(MAKE)
-
-	cd $(objdir) && \
-		$(MAKE) -C doc docs
+		$(MAKE) V=1
 
 	touch $@
 
@@ -116,13 +121,16 @@
 	dh_testdir
 
 	cd $(objdir_udeb) && \
-		$(MAKE)
+		$(MAKE) V=1
 
 	touch $@
 
 build-indep: build-indep-stamp
-build-indep-stamp:
-	dh_testdir
+build-indep-stamp: configure-deb-stamp
+	dh_testdir
+
+	cd $(objdir) && \
+		$(MAKE) -C doc docs
 
 	touch $@
 
@@ -138,9 +146,10 @@
 	# Remove install dirs
 	rm -rf $(CURDIR)/debian/tmp $(CURDIR)/debian/tmp-udeb
 
+	dh_autoreconf_clean
 	dh_clean
 
-install: build
+install: build-arch
 	dh_testdir
 	dh_testroot
 	dh_clean -k -s
@@ -166,39 +175,38 @@
 	dh_install -plibusb-1.0-0-udeb --sourcedir=debian/tmp-udeb
 
 # Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
-	dh_testdir
-	dh_testroot
-#	dh_installchangelogs ChangeLog
-	dh_installchangelogs NEWS
-	dh_installdocs
-#	dh_installexamples
-#	dh_installmenu
-	dh_installdebconf
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-	dh_installman
-	dh_link -s
-	dh_strip -s
-	dh_compress -s
-	dh_fixperms -s
-#	dh_perl
-#	dh_python
-	dh_makeshlibs -plibusb-1.0-0 --add-udeb="libusb-1.0-0-udeb"
-	dh_installdeb -s
-	dh_shlibdeps -s
-	dh_gencontrol -s
-	dh_md5sums -s
-	dh_builddeb -s
+binary-indep: build-indep
+	dh_testroot
+	dh_installchangelogs -i
+	dh_installdocs -i
+	dh_installexamples -i
+	dh_installman -i
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i -- -Zxz
+
+# Buid architecture-dependent files here.
+binary-arch: build-arch install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs -a NEWS
+	dh_installdocs -a
+	dh_installman -a
+	dh_link -a
+	dh_strip -plibusb-1.0-0 --dbg-package=libusb-1.0-0-dbg
+	dh_strip -a --remaining-packages
+	dh_compress -a
+	dh_fixperms -a
+	dh_makeshlibs -a -plibusb-1.0-0 --add-udeb="libusb-1.0-0-udeb"
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a -- -Zxz
 
 binary: binary-arch binary-indep
 .PHONY: build clean binary-indep binary-arch binary install configure
