## libusbx 1.0.18-1maemo3

=== debian/changelog ===
libusbx (2:1.0.18-1maemo3) unstable; urgency=low

  * Fixed deb architecture

 -- xes <xes.maemo@gmail.com>  Thu, 30 Jan 2014 22:30:20 +0100

libusbx (2:1.0.18-1maemo2) unstable; urgency=low

  * Compress the deb with gz

 -- xes <xes.maemo@gmail.com>  Thu, 30 Jan 2014 18:10:20 +0100

libusbx (2:1.0.18-1maemo1) unstable; urgency=low

  * New upstream version
  * first maemo build

 -- xes <xes.maemo@gmail.com>  Sun, 26 Jan 2014 15:23:20 +0100
