=== debian/control ===
Source: libusbx
Section: libs
Priority: optional
Maintainer: Aurelien Jarno <aurel32@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, pkg-config
Build-Depends-Indep: doxygen
Standards-Version: 3.9.4

Package: libusb-1.0-0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: userspace USB programming library
 Library for programming USB applications without the knowledge
 of Linux kernel internals.
 .
 This package contains what you need to run programs that use this
 library.

Package: libusb-1.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libusb-1.0-0 (= ${binary:Version}), ${misc:Depends}
Description: userspace USB programming library development files
 Library for programming USB applications without the knowledge
 of Linux kernel internals.
 .
 This package contains unstripped shared libraries. it is provided
 primarily to provide a backtrace with names in a debugger, this makes
 it somewhat easier to interpret core dumps.

Package: libusb-1.0-0-dev
Section: libdevel
Architecture: any
Depends: libusb-1.0-0 (= ${binary:Version}), ${misc:Depends}
Recommends: libusb-1.0-doc
Description: userspace USB programming library development files
 Library for programming USB applications without the knowledge
 of Linux kernel internals.
 .
 This package contains what you need for compiling sources that
 use this library in your own code.

Package: libusb-1.0-doc
Section: doc
Architecture: any
Depends: ${misc:Depends}
Replaces: libusb-1.0-0-dev (<< 1.0.16)
Conflicts: libusb-1.0-0-dev (<< 1.0.16)
Description: documentation for userspace USB programming
 Library for programming USB applications without the knowledge
 of Linux kernel internals.
 .
 This package contains the libusb 1.0 API reference manual in HTML format.
