=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# support parallel build using DEB_BUILD_OPTIONS=parallel=N
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS += -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O3 -ffast-math
endif

ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -mfpu=vfp -mfloat-abi=softfp
endif

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

configure: configure-deb-stamp 

configure-common: configure-common-stamp
configure-common-stamp:
	dh_testdir

	# make sure this file doesn't exist!
	rm -f $(CURDIR)/usb.h

	# update config.guess and config.sub
	cp -f /usr/share/misc/config.sub $(CURDIR)/config.sub
	cp -f /usr/share/misc/config.guess $(CURDIR)/config.guess

	# make configure executable
	chmod +x $(CURDIR)/configure
	
	touch $@

configure-deb: configure-deb-stamp
configure-deb-stamp: configure-common-stamp
	dh_testdir

	# make build directory
	mkdir $(objdir)

	# run configure with build tree $(objdir)
	cd $(objdir) && \
		CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ../configure $(CROSS) \
			--prefix=/usr \
			--libdir=\$${prefix}/lib/ \
			--mandir=/usr/share/man \
			--infodir=/usr/share/info \
			--disable-udev \
			--enable-examples-build

	touch $@

	dh_testdir

	# make build directory

	touch $@

build: build-arch build-indep
build-arch: build-arch-deb

build-arch-deb: build-arch-deb-stamp
build-arch-deb-stamp: configure-deb-stamp
	dh_testdir

	cd $(objdir) && $(MAKE) V=1

	touch $@

	dh_testdir

	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-deb-stamp
	dh_testdir

	cd $(objdir) && $(MAKE) -C doc docs

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -f config.sub config.guess

	# Remove build trees
	rm -rf $(objdir)

	# Remove install dirs
	rm -rf $(CURDIR)/debian/tmp

	dh_clean

install: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s

	# Main install
	cd $(objdir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Move the library to /lib
	mkdir -p $(CURDIR)/debian/tmp/lib/
	mv $(CURDIR)/debian/tmp/usr/lib/libusb-1.0.so.* $(CURDIR)/debian/tmp/lib/
	ln -sf /lib/libusb-1.0.so.0.1.0 $(CURDIR)/debian/tmp/usr/lib/libusb-1.0.so

	# Move all files in their corresponding package
	dh_install -s --list-missing --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build-indep
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Buid architecture-dependent files here.
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a NEWS
	dh_installdocs -a
	dh_installman -a
	dh_link -a
	dh_strip -plibusb-1.0-0  --dbg-package=libusb-1.0-0-dbg
#	dh_strip -a --remaining-packages
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -plibusb-1.0-0
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure
